// Quickdraw 3D sample code
//
// Nick Thompson, AppleLink: DEVSUPPORT (devsupport@applelink.apple.com)
//
// 1994-5 Apple Computer Inc., All Rights Reserved

#ifndef _SMALLSHELL_H_
#define _SMALLSHELL_H_

	
//-------------------------------------------------------------------------------------------
//
enum {
	iUsePictPalette = 1
} ;

//-------------------------------------------------------------------------------------------
// globals - defined in SmallShell.c
extern Boolean gQuitFlag ;


//-------------------------------------------------------------------------------------------
// constants - defined in SmallShell.c
extern const RGBColor	kRGBBlack ;
extern const RGBColor	kRGBWhite ;

// function prototypes


WindowPtr 	DoCreateBufferedWindow(	Rect *theRect, 
									const Ptr theStorage, 
									const CTabHandle theWindowCTab,
									const short theDepth, 
									const Str255 theTitle ) ;
short 		HiWrd(long aLong) ;
short 		LoWrd(long aLong) ;

// Menu Bar

#define Menu_Bar		400

// Menus

#define Apple_Menu		128
#define File_Menu		129
#define Settings_Menu	130

// Settings Items
#define	OpenItem	1
#define	QuitItem	2

// Settings Items
#define	Scale1M		2
#define	Scale10M	3
#define	Scale100M	4
#define	Scale1KM	5
#define	Netscape	7

// Alerts
#define	LargeObject_Alert		128
#define	TooLargeObject_Alert	129
#define	NoScale_Alert			130
#define	Netscape_Alert			131
#endif